Summary:	GLX extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia GLX
Name:		xorg-proto-glproto
Version:	1.4.17
Release:	2
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/glproto-%{version}.tar.bz2
# Source0-md5:	5565f1b0facf4a59c2778229c1f70d10
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GLX (OpenGL) extension headers.

%description -l pl.UTF-8
Nagłówki rozszerzenia GLX (OpenGL).

%package devel
Summary:	GLX extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia GLX
Group:		X11/Development/Libraries
# <GL/glxint.h> needs <X11/X*.h> and <GL/gl.h>
Requires:	OpenGL-devel
Requires:	xorg-proto-xproto-devel

%description devel
GLX (OpenGL) extension headers.

%description devel -l pl.UTF-8
Nagłówki rozszerzenia GLX (OpenGL).

%prep
%setup -q -n glproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_includedir}/GL/glxint.h
%{_includedir}/GL/glxmd.h
%{_includedir}/GL/glxproto.h
%{_includedir}/GL/glxtokens.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/glcore.h
%{_pkgconfigdir}/glproto.pc
%changelog
* Fri May 08 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-proto-glproto.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> d865175
- x32 rebuild
- release 2 (by relup.sh)

* Wed Dec 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 6980027
- updated to 1.4.17

* Thu Jul 12 2012 Jakub Bogusz <qboosh@pld-linux.org> d962f0f
- updated to 1.4.16

* Thu Jan 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 37c8479
- up to 1.4.15

* Wed Jun 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 693daed
- up to 1.4.14

* Fri May 06 2011 Jakub Bogusz <qboosh@pld-linux.org> fbf2186
- updated to 1.4.13

* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 83040a2
- updated ac version

* Tue Aug 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 14c10f4
- up to 1.4.12

* Wed Jan 13 2010 Jakub Bogusz <qboosh@pld-linux.org> d0e867c
- updated util-macros version
- added README to doc

* Sat Jan 09 2010 sparky <sparky@pld-linux.org> 20eae5e
- BR: pkgconfig

* Fri Jan 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f0c40b
- up to 1.4.11

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> f4d7f6b
- util-macros version

* Tue May 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 6253de8
- updated to 1.4.10

* Tue Oct 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 52a05e0
- updated to 1.4.9
- dropped obsolete shaders patch
- adjusted descs (GL is extension)

* Tue Oct 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 0361e25
- obsolete: GL_ARB_vertex_program defines already included with X_GLrop_ prefixes, the rest are plain duplicates

* Sat Aug 25 2007 Jakub Bogusz <qboosh@pld-linux.org> a0cf5cf
- more verbose files (so one can easily figure each GL/*.h file origin)
- devel R: OpenGL-devel (for <GL/gl.h>), so no need to include GL dir here

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6cd5d98
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e44379a
- converted to UTF-8

* Wed Sep 20 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> bb500dc
- up to 1.4.8

* Tue May 02 2006 wolf <wolf@pld-linux.org> 925e81a
- 1.4.7

